/*------------------------------------*\
    
    Full-Width Image + Text Block - Block-Specific Styling

    This file contains block-specific styles for the Full-Width Image + Text block.
    Base component styles are in /assets/css/components/full-width-image-text.css

\*------------------------------------*/

.full-width-image-text {
	position: relative;
	padding: var(--section-margins) 0;
}

.full-width-image-text__wrapper {
    position: relative;
    background: var(--white);
    padding-top: var(--section-margins);
    padding-bottom: var(--section-margins);
    padding-left: 20px;
    padding-right: 20px;
    z-index: 2;
}

.full-width-image-text__content {
    position: relative;
}

.full-width-image-text__content.with-arrow {
    padding-left: 30px;
}

.full-width-image-text__arrow {
	position: absolute;
	top: 0;
	left: 0;
    display: flex;
    align-items: flex-end;
    justify-content: center;
	width: max-content;
	height: 100%;
	object-fit: cover;
}

.full-width-image-text__arrow svg {
    width: 21px;
    height: 21px;
}

.full-width-image-text__arrow::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 1px;
    height: calc(100% - 14px);
    background: var(--black);
    margin: 0 auto;
    z-index: 1;
}

.full-width-image-text__img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

@media (min-width: 768px) {
    .full-width-image-text__wrapper {
        padding-top: 150px;
        padding-bottom: 150px;
        padding-left: var(--section-margins);
        padding-right: var(--section-margins);
    }
}

@media (min-width: 1200px) {
    .full-width-image-text {
        padding: 0;
    }

    .full-width-image-text .row.right {
        justify-content: flex-end;
    }

    .full-width-image-text__content.with-arrow {
        padding-left: 50px;
    }
}